Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.core
Class DummyRequest

    java.lang.Object
      org.apache.catalina.core.DummyRequest

All Implemented Interfaces:
  javax.servlet.http.HttpServletRequest, javax.servlet.ServletRequest

    public class DummyRequest

extends java.lang.Object
implements javax.servlet.http.HttpServletRequest

Dummy request object, used for request dispatcher mapping, as well as JSP precompilation.

Version:
  $Id: DummyRequest.java 939336 2010-04-29 15:00:41Z kkolinko $
Author:
  Remy Maucherat

Field Summary
`protected java.lang.String` | `contextPath`
`protected java.lang.String` | `decodedURI`
`protected javax.servlet.FilterChain` | `filterChain`
`protected java.lang.String` | `pathInfo`
`protected java.lang.String` | `queryString`
`protected java.lang.String` | `servletPath`
`protected Wrapper` | `wrapper`

Fields inherited from interface javax.servlet.http.HttpServletRequest
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Constructor Summary
`DummyRequest()`
`DummyRequest(java.lang.String contextPath, java.lang.String decodedURI, java.lang.String queryString)`

Method Summary
`void` | `addCookie(javax.servlet.http.Cookie cookie)`
`void` | `addHeader(java.lang.String name, java.lang.String value)`
`void` | `addLocale(java.util.Locale locale)`
`void` | `addParameter(java.lang.String name, java.lang.String[] values)`
`void` | `clearCookies()`
`void` | `clearHeaders()`
`void` | `clearLocales()`
`void` | `clearParameters()`
`javax.servlet.ServletInputStream` | `createInputStream()`
`void` | `finishRequest()`
`java.lang.Object` | `getAttribute(java.lang.String name)` Returns the value of the named attribute as an `Object`, or `null` if no attribute of the given name exists.
`java.util.Enumeration` | `getAttributeNames()` Returns an `Enumeration` containing the names of the attributes available to this request.
`java.lang.String` | `getAuthorization()`
`java.lang.String` | `getAuthType()` Returns the name of the authentication scheme used to protect the servlet.
`java.lang.String` | `getCharacterEncoding()` Returns the name of the character encoding used in the body of this request.
`Connector` | `getConnector()`
`int` | `getContentLength()` Returns the length, in bytes, of the request body and made available by the input stream, or -1 if the length is not known.
`java.lang.String` | `getContentType()` Returns the MIME type of the body of the request, or `null` if the type is not known.
`Context` | `getContext()`
`java.lang.String` | `getContextPath()` Returns the portion of the request URI that indicates the context of the request.
`MessageBytes` | `getContextPathMB()`
`javax.servlet.http.Cookie[]` | `getCookies()` Returns an array containing all of the `Cookie` objects the client sent with this request.
`long` | `getDateHeader(java.lang.String name)` Returns the value of the specified request header as a `long` value that represents a `Date` object.
`java.lang.String` | `getDecodedRequestURI()`
`MessageBytes` | `getDecodedRequestURIMB()`
`javax.servlet.FilterChain` | `getFilterChain()`
`java.lang.String` | `getHeader(java.lang.String name)` Returns the value of the specified request header as a `String`.
`java.util.Enumeration` | `getHeaderNames()` Returns an enumeration of all the header names this request contains.
`java.util.Enumeration` | `getHeaders(java.lang.String name)` Returns all the values of the specified request header as an `Enumeration` of `String` objects.
`Host` | `getHost()`
`java.lang.String` | `getInfo()`
`javax.servlet.ServletInputStream` | `getInputStream()` Retrieves the body of the request as binary data using a `ServletInputStream`.
`int` | `getIntHeader(java.lang.String name)` Returns the value of the specified request header as an `int`.
`java.lang.String` | `getLocalAddr()` Returns the Internet Protocol (IP) address of the interface on which the request was received.
`java.util.Locale` | `getLocale()` Returns the preferred `Locale` that the client will accept content in, based on the Accept-Language header.
`java.util.Enumeration` | `getLocales()` Returns an `Enumeration` of `Locale` objects indicating, in decreasing order starting with the preferred locale, the locales that are acceptable to the client based on the Accept-Language header.
`java.lang.String` | `getLocalName()` Returns the host name of the Internet Protocol (IP) interface on which the request was received.
`int` | `getLocalPort()` Returns the Internet Protocol (IP) port number of the interface on which the request was received.
`java.lang.String` | `getMethod()` Returns the name of the HTTP method with which this request was made, for example, GET, POST, or PUT.
`java.lang.Object` | `getNote(java.lang.String name)`
`java.util.Iterator` | `getNoteNames()`
`java.lang.String` | `getParameter(java.lang.String name)` Returns the value of a request parameter as a `String`, or `null` if the parameter does not exist.
`java.util.Map` | `getParameterMap()` Returns a java.util.Map of the parameters of this request.
`java.util.Enumeration` | `getParameterNames()` Returns an `Enumeration` of `String` objects containing the names of the parameters contained in this request.
`java.lang.String[]` | `getParameterValues(java.lang.String name)` Returns an array of `String` objects containing all of the values the given request parameter has, or `null` if the parameter does not exist.
`java.lang.String` | `getPathInfo()` Returns any extra path information associated with the URL the client sent when it made this request.
`MessageBytes` | `getPathInfoMB()`
`java.lang.String` | `getPathTranslated()` Returns any extra path information after the servlet name but before the query string, and translates it to a real path.
`java.lang.String` | `getProtocol()` Returns the name and version of the protocol the request uses in the form protocol/majorVersion.minorVersion, for example, HTTP/1.1.
`java.lang.String` | `getQueryString()` Returns the query string that is contained in the request URL after the path.
`java.io.BufferedReader` | `getReader()` Retrieves the body of the request as character data using a `BufferedReader`.
`java.lang.String` | `getRealPath(java.lang.String path)`
`java.lang.String` | `getRemoteAddr()` Returns the Internet Protocol (IP) address of the client or last proxy that sent the request.
`java.lang.String` | `getRemoteHost()` Returns the fully qualified name of the client or the last proxy that sent the request.
`int` | `getRemotePort()` Returns the Internet Protocol (IP) source port of the client or last proxy that sent the request.
`java.lang.String` | `getRemoteUser()` Returns the login of the user making this request, if the user has been authenticated, or `null` if the user has not been authenticated.
`javax.servlet.ServletRequest` | `getRequest()`
`javax.servlet.RequestDispatcher` | `getRequestDispatcher(java.lang.String path)` Returns a `RequestDispatcher` object that acts as a wrapper for the resource located at the given path.
`java.lang.String` | `getRequestedSessionId()` Returns the session ID specified by the client.
`MessageBytes` | `getRequestPathMB()`
`java.lang.String` | `getRequestURI()` Returns the part of this request's URL from the protocol name up to the query string in the first line of the HTTP request.
`java.lang.StringBuffer` | `getRequestURL()` Reconstructs the URL the client used to make the request.
`Response` | `getResponse()`
`java.lang.String` | `getScheme()` Returns the name of the scheme used to make this request, for example, `http`, `https`, or `ftp`.
`java.lang.String` | `getServerName()` Returns the host name of the server to which the request was sent.
`int` | `getServerPort()` Returns the port number to which the request was sent.
`java.lang.String` | `getServletPath()` Returns the part of this request's URL that calls the servlet.
`MessageBytes` | `getServletPathMB()`
`javax.servlet.http.HttpSession` | `getSession()` Returns the current session associated with this request, or if the request does not have a session, creates one.
`javax.servlet.http.HttpSession` | `getSession(boolean create)` Returns the current `HttpSession` associated with this request or, if there is no current session and `create` is true, returns a new session.
`java.net.Socket` | `getSocket()`
`java.io.InputStream` | `getStream()`
`java.security.Principal` | `getUserPrincipal()` Returns a `java.security.Principal` object containing the name of the current authenticated user.
`Wrapper` | `getWrapper()`
`boolean` | `isRequestedSessionIdFromCookie()` Checks whether the requested session ID came in as a cookie.
`boolean` | `isRequestedSessionIdFromUrl()`
`boolean` | `isRequestedSessionIdFromURL()` Checks whether the requested session ID came in as part of the request URL.
`boolean` | `isRequestedSessionIdValid()` Checks whether the requested session ID is still valid.
`boolean` | `isSecure()` Returns a boolean indicating whether this request was made using a secure channel, such as HTTPS.
`boolean` | `isUserInRole(java.lang.String role)` Returns a boolean indicating whether the authenticated user is included in the specified logical "role".
`void` | `recycle()`
`void` | `removeAttribute(java.lang.String name)` Removes an attribute from this request.
`void` | `removeNote(java.lang.String name)`
`void` | `setAttribute(java.lang.String name, java.lang.Object value)` Stores an attribute in this request.
`void` | `setAuthorization(java.lang.String authorization)`
`void` | `setAuthType(java.lang.String authType)`
`void` | `setCharacterEncoding(java.lang.String enc)` Overrides the name of the character encoding used in the body of this request.
`void` | `setConnector(Connector connector)`
`void` | `setContentLength(int length)`
`void` | `setContentType(java.lang.String type)`
`void` | `setContext(Context context)`
`void` | `setContextPath(java.lang.String path)`
`void` | `setDecodedRequestURI(java.lang.String uri)`
`void` | `setFilterChain(javax.servlet.FilterChain filterChain)`
`void` | `setHost(Host host)`
`void` | `setMethod(java.lang.String method)`
`void` | `setNote(java.lang.String name, java.lang.Object value)`
`void` | `setPathInfo(java.lang.String path)`
`void` | `setProtocol(java.lang.String protocol)`
`void` | `setQueryString(java.lang.String query)`
`void` | `setRemoteAddr(java.lang.String remoteAddr)`
`void` | `setRemoteHost(java.lang.String remoteHost)`
`void` | `setRequestedSessionCookie(boolean flag)`
`void` | `setRequestedSessionId(java.lang.String id)`
`void` | `setRequestedSessionURL(boolean flag)`
`void` | `setRequestURI(java.lang.String uri)`
`void` | `setResponse(Response response)`
`void` | `setScheme(java.lang.String scheme)`
`void` | `setSecure(boolean secure)`
`void` | `setServerName(java.lang.String name)`
`void` | `setServerPort(int port)`
`void` | `setServletPath(java.lang.String path)`
`void` | `setSocket(java.net.Socket socket)`
`void` | `setStream(java.io.InputStream input)`
`void` | `setUserPrincipal(java.security.Principal principal)`
`void` | `setWrapper(Wrapper wrapper)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### contextPath

    protected java.lang.String contextPath

### decodedURI

    protected java.lang.String decodedURI

### queryString

    protected java.lang.String queryString

### pathInfo

    protected java.lang.String pathInfo

### servletPath

    protected java.lang.String servletPath

### wrapper

    protected Wrapper wrapper

### filterChain

    protected javax.servlet.FilterChain filterChain

Constructor Detail

### DummyRequest

    public DummyRequest()

### DummyRequest

    public DummyRequest(java.lang.String contextPath,
                        java.lang.String decodedURI,
                        java.lang.String queryString)

Method Detail

### getContextPath

    public java.lang.String getContextPath()

  Description copied from interface: `javax.servlet.http.HttpServletRequest`
  Returns the portion of the request URI that indicates the context of the request. The context path always comes first in a request URI. The path starts with a "/" character but does not end with a "/" character. For servlets in the default (root) context, this method returns "". The container does not decode this string.

  Specified by:
    `getContextPath` in interface `javax.servlet.http.HttpServletRequest`
  Returns:
    a `String` specifying the portion of the request URI that indicates the context of the request

### getContextPathMB

    public MessageBytes getContextPathMB()

### getRequest

    public javax.servlet.ServletRequest getRequest()

### getDecodedRequestURI

    public java.lang.String getDecodedRequestURI()

### getDecodedRequestURIMB

    public MessageBytes getDecodedRequestURIMB()

### getFilterChain

    public javax.servlet.FilterChain getFilterChain()

### setFilterChain

    public void setFilterChain(javax.servlet.FilterChain filterChain)

### getQueryString

    public java.lang.String getQueryString()

  Description copied from interface: `javax.servlet.http.HttpServletRequest`
  Returns the query string that is contained in the request URL after the path. This method returns `null` if the URL does not have a query string. Same as the value of the CGI variable QUERY_STRING.

  Specified by:
    `getQueryString` in interface `javax.servlet.http.HttpServletRequest`
  Returns:
    a `String` containing the query string or `null` if the URL contains no query string. The value is not decoded by the container.

### setQueryString

    public void setQueryString(java.lang.String query)

### getPathInfo

    public java.lang.String getPathInfo()

  Description copied from interface: `javax.servlet.http.HttpServletRequest`
  Returns any extra path information associated with the URL the client sent when it made this request. The extra path information follows the servlet path but precedes the query string and will start with a "/" character.

  This method returns `null` if there was no extra path information.

  Same as the value of the CGI variable PATH_INFO.

  Specified by:
    `getPathInfo` in interface `javax.servlet.http.HttpServletRequest`
  Returns:
    a `String`, decoded by the web container, specifying extra path information that comes after the servlet path but before the query string in the request URL; or `null` if the URL does not have any extra path information

### setPathInfo

    public void setPathInfo(java.lang.String path)

### getPathInfoMB

    public MessageBytes getPathInfoMB()

### getRequestPathMB

    public MessageBytes getRequestPathMB()

### getServletPath

    public java.lang.String getServletPath()

  Description copied from interface: `javax.servlet.http.HttpServletRequest`
  Returns the part of this request's URL that calls the servlet. This path starts with a "/" character and includes either the servlet name or a path to the servlet, but does not include any extra path information or a query string. Same as the value of the CGI variable SCRIPT_NAME.

  This method will return an empty string ("") if the servlet used to process this request was matched using the "/*" pattern.

  Specified by:
    `getServletPath` in interface `javax.servlet.http.HttpServletRequest`
  Returns:
    a `String` containing the name or path of the servlet being called, as specified in the request URL, decoded, or an empty string if the servlet used to process the request is matched using the "/*" pattern.

### setServletPath

    public void setServletPath(java.lang.String path)

### getServletPathMB

    public MessageBytes getServletPathMB()

### getWrapper

    public Wrapper getWrapper()

### setWrapper

    public void setWrapper(Wrapper wrapper)

### getAuthorization

    public java.lang.String getAuthorization()

### setAuthorization

    public void setAuthorization(java.lang.String authorization)

### getConnector

    public Connector getConnector()

### setConnector

    public void setConnector(Connector connector)

### getContext

    public Context getContext()

### setContext

    public void setContext(Context context)

### getHost

    public Host getHost()

### setHost

    public void setHost(Host host)

### getInfo

    public java.lang.String getInfo()

### getResponse

    public Response getResponse()

### setResponse

    public void setResponse(Response response)

### getSocket

    public java.net.Socket getSocket()

### setSocket

    public void setSocket(java.net.Socket socket)

### getStream

    public java.io.InputStream getStream()

### setStream

    public void setStream(java.io.InputStream input)

### addLocale

    public void addLocale(java.util.Locale locale)

### createInputStream

    public javax.servlet.ServletInputStream createInputStream()
                                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### finishRequest

    public void finishRequest()
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### getNote

    public java.lang.Object getNote(java.lang.String name)

### getNoteNames

    public java.util.Iterator getNoteNames()

### removeNote

    public void removeNote(java.lang.String name)

### setContentType

    public void setContentType(java.lang.String type)

### setNote

    public void setNote(java.lang.String name,
                        java.lang.Object value)

### setProtocol

    public void setProtocol(java.lang.String protocol)

### setRemoteAddr

    public void setRemoteAddr(java.lang.String remoteAddr)

### setRemoteHost

    public void setRemoteHost(java.lang.String remoteHost)

### setScheme

    public void setScheme(java.lang.String scheme)

### setServerName

    public void setServerName(java.lang.String name)

### setServerPort

    public void setServerPort(int port)

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

  Description copied from interface: `javax.servlet.ServletRequest`
  Returns the value of the named attribute as an `Object`, or `null` if no attribute of the given name exists.

  Attributes can be set two ways. The servlet container may set attributes to make available custom information about a request. For example, for requests made using HTTPS, the attribute `javax.servlet.request.X509Certificate` can be used to retrieve information on the certificate of the client. Attributes can also be set programatically using `ServletRequest.setAttribute(java.lang.String, java.lang.Object)`. This allows information to be embedded into a request before a `RequestDispatcher` call.

  Attribute names should follow the same conventions as package names. This specification reserves names matching `java.*`, `javax.*`, and `sun.*`.

  Specified by:
    `getAttribute` in interface `javax.servlet.ServletRequest`
  Parameters:
    `name` - a `String` specifying the name of the attribute
  Returns:
    an `Object` containing the value of the attribute, or `null` if the attribute does not exist

### getAttributeNames

    public java.util.Enumeration getAttributeNames()

  Description copied from interface: `javax.servlet.ServletRequest`
  Returns an `Enumeration` containing the names of the attributes available to this request. This method returns an empty `Enumeration` if the request has no attributes available to it.

  Specified by:
    `getAttributeNames` in interface `javax.servlet.ServletRequest`
  Returns:
    an `Enumeration` of strings containing the names of the request's attributes

### getCharacterEncoding

    public java.lang.String getCharacterEncoding()

  Description copied from interface: `javax.servlet.ServletRequest`
  Returns the name of the character encoding used in the body of this request. This method returns `null` if the request does not specify a character encoding

  Specified by:
    `getCharacterEncoding` in interface `javax.servlet.ServletRequest`
  Returns:
    a `String` containing the name of the character encoding, or `null` if the request does not specify a character encoding

### getContentLength

    public int getContentLength()

  Description copied from interface: `javax.servlet.ServletRequest`
  Returns the length, in bytes, of the request body and made available by the input stream, or -1 if the length is not known. For HTTP servlets, same as the value of the CGI variable CONTENT_LENGTH.

  Specified by:
    `getContentLength` in interface `javax.servlet.ServletRequest`
  Returns:
    an integer containing the length of the request body or -1 if the length is not known

### setContentLength

    public void setContentLength(int length)

### getContentType

    public java.lang.String getContentType()

  Description copied from interface: `javax.servlet.ServletRequest`
  Returns the MIME type of the body of the request, or `null` if the type is not known. For HTTP servlets, same as the value of the CGI variable CONTENT_TYPE.

  Specified by:
    `getContentType` in interface `javax.servlet.ServletRequest`
  Returns:
    a `String` containing the name of the MIME type of the request, or null if the type is not known

### getInputStream

    public javax.servlet.ServletInputStream getInputStream()
                                                    throws java.io.IOException

  Description copied from interface: `javax.servlet.ServletRequest`
  Retrieves the body of the request as binary data using a `ServletInputStream`. Either this method or `ServletRequest.getReader()` may be called to read the body, not both.

  Specified by:
    `getInputStream` in interface `javax.servlet.ServletRequest`
  Returns:
    a `ServletInputStream` object containing the body of the request
  Throws:
    `java.io.IOException` - if an input or output exception occurred

### getLocale

    public java.util.Locale getLocale()

  Description copied from interface: `javax.servlet.ServletRequest`
  Returns the preferred `Locale` that the client will accept content in, based on the Accept-Language header. If the client request doesn't provide an Accept-Language header, this method returns the default locale for the server.

  Specified by:
    `getLocale` in interface `javax.servlet.ServletRequest`
  Returns:
    the preferred `Locale` for the client

### getLocales

    public java.util.Enumeration getLocales()

  Description copied from interface: `javax.servlet.ServletRequest`
  Returns an `Enumeration` of `Locale` objects indicating, in decreasing order starting with the preferred locale, the locales that are acceptable to the client based on the Accept-Language header. If the client request doesn't provide an Accept-Language header, this method returns an `Enumeration` containing one `Locale`, the default locale for the server.

  Specified by:
    `getLocales` in interface `javax.servlet.ServletRequest`
  Returns:
    an `Enumeration` of preferred `Locale` objects for the client

### getProtocol

    public java.lang.String getProtocol()

  Description copied from interface: `javax.servlet.ServletRequest`
  Returns the name and version of the protocol the request uses in the form protocol/majorVersion.minorVersion, for example, HTTP/1.1. For HTTP servlets, the value returned is the same as the value of the CGI variable `SERVER_PROTOCOL`.

  Specified by:
    `getProtocol` in interface `javax.servlet.ServletRequest`
  Returns:
    a `String` containing the protocol name and version number

### getReader

    public java.io.BufferedReader getReader()
                                     throws java.io.IOException

  Description copied from interface: `javax.servlet.ServletRequest`
  Retrieves the body of the request as character data using a `BufferedReader`. The reader translates the character data according to the character encoding used on the body. Either this method or `ServletRequest.getInputStream()` may be called to read the body, not both.

  Specified by:
    `getReader` in interface `javax.servlet.ServletRequest`
  Returns:
    a `BufferedReader` containing the body of the request
  Throws:
    `java.io.IOException` - if an input or output exception occurred
  See Also:
    `ServletRequest.getInputStream()`

### getRealPath

    public java.lang.String getRealPath(java.lang.String path)

  Specified by:
    `getRealPath` in interface `javax.servlet.ServletRequest`

### getRemoteAddr

    public java.lang.String getRemoteAddr()

  Description copied from interface: `javax.servlet.ServletRequest`
  Returns the Internet Protocol (IP) address of the client or last proxy that sent the request. For HTTP servlets, same as the value of the CGI variable `REMOTE_ADDR`.

  Specified by:
    `getRemoteAddr` in interface `javax.servlet.ServletRequest`
  Returns:
    a `String` containing the IP address of the client that sent the request

### getRemoteHost

    public java.lang.String getRemoteHost()

  Description copied from interface: `javax.servlet.ServletRequest`
  Returns the fully qualified name of the client or the last proxy that sent the request. If the engine cannot or chooses not to resolve the hostname (to improve performance), this method returns the dotted-string form of the IP address. For HTTP servlets, same as the value of the CGI variable `REMOTE_HOST`.

  Specified by:
    `getRemoteHost` in interface `javax.servlet.ServletRequest`
  Returns:
    a `String` containing the fully qualified name of the client

### getScheme

    public java.lang.String getScheme()

  Description copied from interface: `javax.servlet.ServletRequest`
  Returns the name of the scheme used to make this request, for example, `http`, `https`, or `ftp`. Different schemes have different rules for constructing URLs, as noted in RFC 1738.

  Specified by:
    `getScheme` in interface `javax.servlet.ServletRequest`
  Returns:
    a `String` containing the name of the scheme used to make this request

### getServerName

    public java.lang.String getServerName()

  Description copied from interface: `javax.servlet.ServletRequest`
  Returns the host name of the server to which the request was sent. It is the value of the part before ":" in the `Host` header value, if any, or the resolved server name, or the server IP address.

  Specified by:
    `getServerName` in interface `javax.servlet.ServletRequest`
  Returns:
    a `String` containing the name of the server

### getServerPort

    public int getServerPort()

  Description copied from interface: `javax.servlet.ServletRequest`
  Returns the port number to which the request was sent. It is the value of the part after ":" in the `Host` header value, if any, or the server port where the client connection was accepted on.

  Specified by:
    `getServerPort` in interface `javax.servlet.ServletRequest`
  Returns:
    an integer specifying the port number

### isSecure

    public boolean isSecure()

  Description copied from interface: `javax.servlet.ServletRequest`
  Returns a boolean indicating whether this request was made using a secure channel, such as HTTPS.

  Specified by:
    `isSecure` in interface `javax.servlet.ServletRequest`
  Returns:
    a boolean indicating if the request was made using a secure channel

### removeAttribute

    public void removeAttribute(java.lang.String name)

  Description copied from interface: `javax.servlet.ServletRequest`
  Removes an attribute from this request. This method is not generally needed as attributes only persist as long as the request is being handled.

  Attribute names should follow the same conventions as package names. Names beginning with `java.*`, `javax.*`, and `com.sun.*`, are reserved for use by Sun Microsystems.

  Specified by:
    `removeAttribute` in interface `javax.servlet.ServletRequest`
  Parameters:
    `name` - a `String` specifying the name of the attribute to remove

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

  Description copied from interface: `javax.servlet.ServletRequest`
  Stores an attribute in this request. Attributes are reset between requests. This method is most often used in conjunction with `RequestDispatcher`.

  Attribute names should follow the same conventions as package names. Names beginning with `java.*`, `javax.*`, and `com.sun.*`, are reserved for use by Sun Microsystems.
  If the object passed in is null, the effect is the same as calling `ServletRequest.removeAttribute(java.lang.String)`.
  It is warned that when the request is dispatched from the servlet resides in a different web application by `RequestDispatcher`, the object set by this method may not be correctly retrieved in the caller servlet.

  Specified by:
    `setAttribute` in interface `javax.servlet.ServletRequest`
  Parameters:
    `name` - a `String` specifying the name of the attribute
    `value` - the `Object` to be stored

### setCharacterEncoding

    public void setCharacterEncoding(java.lang.String enc)
                              throws java.io.UnsupportedEncodingException

  Description copied from interface: `javax.servlet.ServletRequest`
  Overrides the name of the character encoding used in the body of this request. This method must be called prior to reading request parameters or reading input using getReader().

  Specified by:
    `setCharacterEncoding` in interface `javax.servlet.ServletRequest`
  Parameters:
    `enc` - a `String` containing the name of the character encoding.
  Throws:
    `java.io.UnsupportedEncodingException` - if this is not a valid encoding

### addCookie

    public void addCookie(javax.servlet.http.Cookie cookie)

### addHeader

    public void addHeader(java.lang.String name,
                          java.lang.String value)

### addParameter

    public void addParameter(java.lang.String name,
                             java.lang.String[] values)

### clearCookies

    public void clearCookies()

### clearHeaders

    public void clearHeaders()

### clearLocales

    public void clearLocales()

### clearParameters

    public void clearParameters()

### recycle

    public void recycle()

### setAuthType

    public void setAuthType(java.lang.String authType)

### setContextPath

    public void setContextPath(java.lang.String path)

### setMethod

    public void setMethod(java.lang.String method)

### setRequestedSessionCookie

    public void setRequestedSessionCookie(boolean flag)

### setRequestedSessionId

    public void setRequestedSessionId(java.lang.String id)

### setRequestedSessionURL

    public void setRequestedSessionURL(boolean flag)

### setRequestURI

    public void setRequestURI(java.lang.String uri)

### setSecure

    public void setSecure(boolean secure)

### setUserPrincipal

    public void setUserPrincipal(java.security.Principal principal)

### getParameter

    public java.lang.String getParameter(java.lang.String name)

  Description copied from interface: `javax.servlet.ServletRequest`
  Returns the value of a request parameter as a `String`, or `null` if the parameter does not exist. Request parameters are extra information sent with the request. For HTTP servlets, parameters are contained in the query string or posted form data.

  You should only use this method when you are sure the parameter has only one value. If the parameter might have more than one value, use `ServletRequest.getParameterValues(java.lang.String)`.

  If you use this method with a multivalued parameter, the value returned is equal to the first value in the array returned by `getParameterValues`.

  If the parameter data was sent in the request body, such as occurs with an HTTP POST request, then reading the body directly via `ServletRequest.getInputStream()` or `ServletRequest.getReader()` can interfere with the execution of this method.

  Specified by:
    `getParameter` in interface `javax.servlet.ServletRequest`
  Parameters:
    `name` - a `String` specifying the name of the parameter
  Returns:
    a `String` representing the single value of the parameter
  See Also:
    `ServletRequest.getParameterValues(java.lang.String)`

### getParameterMap

    public java.util.Map getParameterMap()

  Description copied from interface: `javax.servlet.ServletRequest`
  Returns a java.util.Map of the parameters of this request. Request parameters are extra information sent with the request. For HTTP servlets, parameters are contained in the query string or posted form data.

  Specified by:
    `getParameterMap` in interface `javax.servlet.ServletRequest`
  Returns:
    an immutable java.util.Map containing parameter names as keys and parameter values as map values. The keys in the parameter map are of type String. The values in the parameter map are of type String array.

### getParameterNames

    public java.util.Enumeration getParameterNames()

  Description copied from interface: `javax.servlet.ServletRequest`
  Returns an `Enumeration` of `String` objects containing the names of the parameters contained in this request. If the request has no parameters, the method returns an empty `Enumeration`.

  Specified by:
    `getParameterNames` in interface `javax.servlet.ServletRequest`
  Returns:
    an `Enumeration` of `String` objects, each `String` containing the name of a request parameter; or an empty `Enumeration` if the request has no parameters

### getParameterValues

    public java.lang.String[] getParameterValues(java.lang.String name)

  Description copied from interface: `javax.servlet.ServletRequest`
  Returns an array of `String` objects containing all of the values the given request parameter has, or `null` if the parameter does not exist.

  If the parameter has a single value, the array has a length of 1.

  Specified by:
    `getParameterValues` in interface `javax.servlet.ServletRequest`
  Parameters:
    `name` - a `String` containing the name of the parameter whose value is requested
  Returns:
    an array of `String` objects containing the parameter's values
  See Also:
    `ServletRequest.getParameter(java.lang.String)`

### getRequestDispatcher

    public javax.servlet.RequestDispatcher getRequestDispatcher(java.lang.String path)

  Description copied from interface: `javax.servlet.ServletRequest`
  Returns a `RequestDispatcher` object that acts as a wrapper for the resource located at the given path. A `RequestDispatcher` object can be used to forward a request to the resource or to include the resource in a response. The resource can be dynamic or static.

  The pathname specified may be relative, although it cannot extend outside the current servlet context. If the path begins with a "/" it is interpreted as relative to the current context root. This method returns `null` if the servlet container cannot return a `RequestDispatcher`.

  The difference between this method and `ServletContext.getRequestDispatcher(java.lang.String)` is that this method can take a relative path.

  Specified by:
    `getRequestDispatcher` in interface `javax.servlet.ServletRequest`
  Parameters:
    `path` - a `String` specifying the pathname to the resource. If it is relative, it must be relative against the current servlet.
  Returns:
    a `RequestDispatcher` object that acts as a wrapper for the resource at the specified path, or `null` if the servlet container cannot return a `RequestDispatcher`
  See Also:
    `RequestDispatcher`, `ServletContext.getRequestDispatcher(java.lang.String)`

### getAuthType

    public java.lang.String getAuthType()

  Description copied from interface: `javax.servlet.http.HttpServletRequest`
  Returns the name of the authentication scheme used to protect the servlet. All servlet containers support basic, form and client certificate authentication, and may additionally support digest authentication. If the servlet is not authenticated `null` is returned.

  Same as the value of the CGI variable AUTH_TYPE.

  Specified by:
    `getAuthType` in interface `javax.servlet.http.HttpServletRequest`
  Returns:
    one of the static members BASIC_AUTH, FORM_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH (suitable for == comparison) or the container-specific string indicating the authentication scheme, or `null` if the request was not authenticated.

### getCookies

    public javax.servlet.http.Cookie[] getCookies()

  Description copied from interface: `javax.servlet.http.HttpServletRequest`
  Returns an array containing all of the `Cookie` objects the client sent with this request. This method returns `null` if no cookies were sent.

  Specified by:
    `getCookies` in interface `javax.servlet.http.HttpServletRequest`
  Returns:
    an array of all the `Cookies` included with this request, or `null` if the request has no cookies

### getDateHeader

    public long getDateHeader(java.lang.String name)

  Description copied from interface: `javax.servlet.http.HttpServletRequest`
  Returns the value of the specified request header as a `long` value that represents a `Date` object. Use this method with headers that contain dates, such as `If-Modified-Since`.

  The date is returned as the number of milliseconds since January 1, 1970 GMT. The header name is case insensitive.

  If the request did not have a header of the specified name, this method returns -1. If the header can't be converted to a date, the method throws an `IllegalArgumentException`.

  Specified by:
    `getDateHeader` in interface `javax.servlet.http.HttpServletRequest`
  Parameters:
    `name` - a `String` specifying the name of the header
  Returns:
    a `long` value representing the date specified in the header expressed as the number of milliseconds since January 1, 1970 GMT, or -1 if the named header was not included with the request

### getHeader

    public java.lang.String getHeader(java.lang.String name)

  Description copied from interface: `javax.servlet.http.HttpServletRequest`
  Returns the value of the specified request header as a `String`. If the request did not include a header of the specified name, this method returns `null`. If there are multiple headers with the same name, this method returns the first head in the request. The header name is case insensitive. You can use this method with any request header.

  Specified by:
    `getHeader` in interface `javax.servlet.http.HttpServletRequest`
  Parameters:
    `name` - a `String` specifying the header name
  Returns:
    a `String` containing the value of the requested header, or `null` if the request does not have a header of that name

### getHeaders

    public java.util.Enumeration getHeaders(java.lang.String name)

  Description copied from interface: `javax.servlet.http.HttpServletRequest`
  Returns all the values of the specified request header as an `Enumeration` of `String` objects.

  Some headers, such as `Accept-Language` can be sent by clients as several headers each with a different value rather than sending the header as a comma separated list.

  If the request did not include any headers of the specified name, this method returns an empty `Enumeration`. The header name is case insensitive. You can use this method with any request header.

  Specified by:
    `getHeaders` in interface `javax.servlet.http.HttpServletRequest`
  Parameters:
    `name` - a `String` specifying the header name
  Returns:
    an `Enumeration` containing the values of the requested header. If the request does not have any headers of that name return an empty enumeration. If the container does not allow access to header information, return null

### getHeaderNames

    public java.util.Enumeration getHeaderNames()

  Description copied from interface: `javax.servlet.http.HttpServletRequest`
  Returns an enumeration of all the header names this request contains. If the request has no headers, this method returns an empty enumeration.

  Some servlet containers do not allow servlets to access headers using this method, in which case this method returns `null`

  Specified by:
    `getHeaderNames` in interface `javax.servlet.http.HttpServletRequest`
  Returns:
    an enumeration of all the header names sent with this request; if the request has no headers, an empty enumeration; if the servlet container does not allow servlets to use this method, `null`

### getIntHeader

    public int getIntHeader(java.lang.String name)

  Description copied from interface: `javax.servlet.http.HttpServletRequest`
  Returns the value of the specified request header as an `int`. If the request does not have a header of the specified name, this method returns -1. If the header cannot be converted to an integer, this method throws a `NumberFormatException`.

  The header name is case insensitive.

  Specified by:
    `getIntHeader` in interface `javax.servlet.http.HttpServletRequest`
  Parameters:
    `name` - a `String` specifying the name of a request header
  Returns:
    an integer expressing the value of the request header or -1 if the request doesn't have a header of this name

### getMethod

    public java.lang.String getMethod()

  Description copied from interface: `javax.servlet.http.HttpServletRequest`
  Returns the name of the HTTP method with which this request was made, for example, GET, POST, or PUT. Same as the value of the CGI variable REQUEST_METHOD.

  Specified by:
    `getMethod` in interface `javax.servlet.http.HttpServletRequest`
  Returns:
    a `String` specifying the name of the method with which this request was made

### getPathTranslated

    public java.lang.String getPathTranslated()

  Description copied from interface: `javax.servlet.http.HttpServletRequest`
  Returns any extra path information after the servlet name but before the query string, and translates it to a real path. Same as the value of the CGI variable PATH_TRANSLATED.

  If the URL does not have any extra path information, this method returns `null` or the servlet container cannot translate the virtual path to a real path for any reason (such as when the web application is executed from an archive). The web container does not decode this string.

  Specified by:
    `getPathTranslated` in interface `javax.servlet.http.HttpServletRequest`
  Returns:
    a `String` specifying the real path, or `null` if the URL does not have any extra path information

### getRemoteUser

    public java.lang.String getRemoteUser()

  Description copied from interface: `javax.servlet.http.HttpServletRequest`
  Returns the login of the user making this request, if the user has been authenticated, or `null` if the user has not been authenticated. Whether the user name is sent with each subsequent request depends on the browser and type of authentication. Same as the value of the CGI variable REMOTE_USER.

  Specified by:
    `getRemoteUser` in interface `javax.servlet.http.HttpServletRequest`
  Returns:
    a `String` specifying the login of the user making this request, or `null` if the user login is not known

### getRequestedSessionId

    public java.lang.String getRequestedSessionId()

  Description copied from interface: `javax.servlet.http.HttpServletRequest`
  Returns the session ID specified by the client. This may not be the same as the ID of the current valid session for this request. If the client did not specify a session ID, this method returns `null`.

  Specified by:
    `getRequestedSessionId` in interface `javax.servlet.http.HttpServletRequest`
  Returns:
    a `String` specifying the session ID, or `null` if the request did not specify a session ID
  See Also:
    `HttpServletRequest.isRequestedSessionIdValid()`

### getRequestURI

    public java.lang.String getRequestURI()

  Description copied from interface: `javax.servlet.http.HttpServletRequest`
  Returns the part of this request's URL from the protocol name up to the query string in the first line of the HTTP request. The web container does not decode this String. For example:

  First line of HTTP request | Returned Value
  --- | ---
  POST /some/path.html HTTP/1.1 |  | /some/path.html
  GET http://foo.bar/a.html HTTP/1.0 |  | /a.html
  HEAD /xyz?a=b HTTP/1.1 |  | /xyz

  To reconstruct an URL with a scheme and host, use `HttpUtils#getRequestURL`.

  Specified by:
    `getRequestURI` in interface `javax.servlet.http.HttpServletRequest`
  Returns:
    a `String` containing the part of the URL from the protocol name up to the query string
  See Also:
    `HttpUtils#getRequestURL`

### setDecodedRequestURI

    public void setDecodedRequestURI(java.lang.String uri)

### getRequestURL

    public java.lang.StringBuffer getRequestURL()

  Description copied from interface: `javax.servlet.http.HttpServletRequest`
  Reconstructs the URL the client used to make the request. The returned URL contains a protocol, server name, port number, and server path, but it does not include query string parameters.

  Because this method returns a `StringBuffer`, not a string, you can modify the URL easily, for example, to append query parameters.

  This method is useful for creating redirect messages and for reporting errors.

  Specified by:
    `getRequestURL` in interface `javax.servlet.http.HttpServletRequest`
  Returns:
    a `StringBuffer` object containing the reconstructed URL

### getSession

    public javax.servlet.http.HttpSession getSession()

  Description copied from interface: `javax.servlet.http.HttpServletRequest`
  Returns the current session associated with this request, or if the request does not have a session, creates one.

  Specified by:
    `getSession` in interface `javax.servlet.http.HttpServletRequest`
  Returns:
    the `HttpSession` associated with this request
  See Also:
    `HttpServletRequest.getSession(boolean)`

### getSession

    public javax.servlet.http.HttpSession getSession(boolean create)

  Description copied from interface: `javax.servlet.http.HttpServletRequest`
  Returns the current `HttpSession` associated with this request or, if there is no current session and `create` is true, returns a new session.

  If `create` is `false` and the request has no valid `HttpSession`, this method returns `null`.

  To make sure the session is properly maintained, you must call this method before the response is committed. If the container is using cookies to maintain session integrity and is asked to create a new session when the response is committed, an IllegalStateException is thrown.

  Specified by:
    `getSession` in interface `javax.servlet.http.HttpServletRequest`
  Parameters:
    `create` - `true` to create a new session for this request if necessary; `false` to return `null` if there's no current session
  Returns:
    the `HttpSession` associated with this request or `null` if `create` is `false` and the request has no valid session
  See Also:
    `HttpServletRequest.getSession()`

### isRequestedSessionIdFromCookie

    public boolean isRequestedSessionIdFromCookie()

  Description copied from interface: `javax.servlet.http.HttpServletRequest`
  Checks whether the requested session ID came in as a cookie.

  Specified by:
    `isRequestedSessionIdFromCookie` in interface `javax.servlet.http.HttpServletRequest`
  Returns:
    `true` if the session ID came in as a cookie; otherwise, `false`
  See Also:
    `HttpServletRequest.getSession(boolean)`

### isRequestedSessionIdFromURL

    public boolean isRequestedSessionIdFromURL()

  Description copied from interface: `javax.servlet.http.HttpServletRequest`
  Checks whether the requested session ID came in as part of the request URL.

  Specified by:
    `isRequestedSessionIdFromURL` in interface `javax.servlet.http.HttpServletRequest`
  Returns:
    `true` if the session ID came in as part of a URL; otherwise, `false`
  See Also:
    `HttpServletRequest.getSession(boolean)`

### isRequestedSessionIdFromUrl

    public boolean isRequestedSessionIdFromUrl()

  Specified by:
    `isRequestedSessionIdFromUrl` in interface `javax.servlet.http.HttpServletRequest`

### isRequestedSessionIdValid

    public boolean isRequestedSessionIdValid()

  Description copied from interface: `javax.servlet.http.HttpServletRequest`
  Checks whether the requested session ID is still valid.

  Specified by:
    `isRequestedSessionIdValid` in interface `javax.servlet.http.HttpServletRequest`
  Returns:
    `true` if this request has an id for a valid session in the current session context; `false` otherwise
  See Also:
    `HttpServletRequest.getRequestedSessionId()`, `HttpServletRequest.getSession(boolean)`, `HttpSessionContext`

### isUserInRole

    public boolean isUserInRole(java.lang.String role)

  Description copied from interface: `javax.servlet.http.HttpServletRequest`
  Returns a boolean indicating whether the authenticated user is included in the specified logical "role". Roles and role membership can be defined using deployment descriptors. If the user has not been authenticated, the method returns `false`.

  Specified by:
    `isUserInRole` in interface `javax.servlet.http.HttpServletRequest`
  Parameters:
    `role` - a `String` specifying the name of the role
  Returns:
    a `boolean` indicating whether the user making this request belongs to a given role; `false` if the user has not been authenticated

### getUserPrincipal

    public java.security.Principal getUserPrincipal()

  Description copied from interface: `javax.servlet.http.HttpServletRequest`
  Returns a `java.security.Principal` object containing the name of the current authenticated user. If the user has not been authenticated, the method returns `null`.

  Specified by:
    `getUserPrincipal` in interface `javax.servlet.http.HttpServletRequest`
  Returns:
    a `java.security.Principal` containing the name of the user making this request; `null` if the user has not been authenticated

### getLocalAddr

    public java.lang.String getLocalAddr()

  Description copied from interface: `javax.servlet.ServletRequest`
  Returns the Internet Protocol (IP) address of the interface on which the request was received.

  Specified by:
    `getLocalAddr` in interface `javax.servlet.ServletRequest`
  Returns:
    a `String` containing the IP address on which the request was received.

### getLocalName

    public java.lang.String getLocalName()

  Description copied from interface: `javax.servlet.ServletRequest`
  Returns the host name of the Internet Protocol (IP) interface on which the request was received.

  Specified by:
    `getLocalName` in interface `javax.servlet.ServletRequest`
  Returns:
    a `String` containing the host name of the IP on which the request was received.

### getLocalPort

    public int getLocalPort()

  Description copied from interface: `javax.servlet.ServletRequest`
  Returns the Internet Protocol (IP) port number of the interface on which the request was received.

  Specified by:
    `getLocalPort` in interface `javax.servlet.ServletRequest`
  Returns:
    an integer specifying the port number

### getRemotePort

    public int getRemotePort()

  Description copied from interface: `javax.servlet.ServletRequest`
  Returns the Internet Protocol (IP) source port of the client or last proxy that sent the request.

  Specified by:
    `getRemotePort` in interface `javax.servlet.ServletRequest`
  Returns:
    an integer specifying the port number

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.